libnvme(2)

NAME
enum nvme_id_nsfeat - This field defines features of the namespace.

SYNOPSIS
enum nvme_id_nsfeat {
NVME_NS_FEAT_THIN ,
NVME_NS_FEAT_NATOMIC ,
NVME_NS_FEAT_DULBE ,
NVME_NS_FEAT_ID_REUSE ,
NVME_NS_FEAT_IO_OPT

};

Constants

NVME_NS_FEAT_THIN
    If set, indicates that the namespace supports thin provisioning. Specifically, the Namespace Capacity reported may be less than the Namespace Size.

NVME_NS_FEAT_NATOMIC
    If set, indicates that the fields NAWUN, NAWUPF, and NACWU are defined for this namespace and should be used by the host for this namespace instead of the AWUN, AWUPF, and ACWU fields in the Identify Controller data structure.

NVME_NS_FEAT_DULBE
    If set, indicates that the controller supports the Deallocated or Unwritten Logical Block error for this namespace.

NVME_NS_FEAT_ID_REUSE
    If set, indicates that the value in the NGUID field for this namespace, if non- zero, is never reused by the controller and that the value in the EUI64 field for this namespace, if non-zero, is never reused by the controller.

NVME_NS_FEAT_IO_OPT
    If set, indicates that the fields NPWG, NPWA, NPDG, NPDA, and NOWS are defined for this namespace and should be used by the host for I/O optimization